// Craig S. Kaplan
// A demonstration of the value of using a random seed.
// Draw a pile of circles, each with a random location, a
// random size, a random stroke, and a random fill.  That's
// eleven random numbers per circle.  That would be a huge
// hassle to keep track of by keeping track of explicit
// Circle objects (say, by creating a class to hold all of
// that data).  But by setting a random seed, we can just
// regenerate all the random numbers that went into drawing
// the circles in the previous frame.  To really get the full
// benefit here, use a slider to control the number of circles
// drawn.
// W20: ReWritten and modified slightly by Kevin Harrigan for JavaScript p5.

let seed = 395345;
let mySlider;

function setup() {
  createCanvas(500, 500);
  createP(" ");
  mySlider = createSlider(1, 1000, 100);
}

function draw(){
  randomSeed(seed);
  background(220);

  let numCircles = int(mySlider.value());

  for (let i = 0; i < numCircles; i++) {
    let r = random( 5, 100 );
    let x = random( width );
    let y = random( height );
    fill( random(255), random(255), random(255), 
      random(255) );
    stroke( random(255), random(255), random(255), 
      random(255) );
    ellipse( x, y, r, r );
  }
}

function keyPressed() {
  seed = seed + 1;
}
