// Craig S. Kaplan
// Generate random coin flips, eight at a time.  Press
// space to flip eight new coins (using the noLoop()/loop()
// trick instead of setting a random seed).  After each round,
// the sketch prints out the total number of heads and tails
// flipped.  You should see over time that these two numbers
// stay roughly equal -- that's the statistical nature of
// random numbers at work.

let heads;
let tails;
let th = 0;
let tt = 0;

function preload() {
  heads = loadImage("/data/heads.png");
  tails = loadImage( "/data/tails.png" );
}


function setup() {
  createCanvas(800, 100);
  heads.resize(0, 100);
  tails.resize(0, 100);
}

function draw() {
  background(50);
  let x = 0.0;
  while (x < width) {
    if (random(1) < 0.5) {
      image(heads, x, 0);
      x += heads.width;
      ++th;
    } else {
      image(tails, x, 0);
      x += tails.width;
      ++tt;
    }
  }
  print(th, tt);
  noLoop();
}

function keyPressed(){
  loop();
}
