// Craig S. Kaplan
//
// Here's the culmination of our first pass at the 10 Print
// sketch -- a version based on an underlying random seed.
// Resetting the seed at the start of the frame allows us to
// regenerate the same sequence of random numbers, thus getting
// back the same design frame-to-frame without the need to store
// any explicit randomly generated numbers.  Sweet!
// W20.  Modified for JavaScript p5 by Kevin Harrigan.

let bias;
let mySlider;
let seed;

function setup() {
  createCanvas( 800, 800 );
  createP(" ");
  mySlider = createSlider(0, 100, 50)

    // It doesn't really matter what seed you
    // start with here.
    seed = 83567345;
}

function draw(){
  background(255);
  strokeWeight(15);
  noFill();
  bias = (mySlider.value()) / 100;
  randomSeed(seed);

  for (let row = 0; row < 20; ++row) {
    for (let col = 0; col < 20; ++col) {
      let x = col * 40;
      let y = row * 40;

      if (random(1) < bias) {
        // Draw a line from NW to SE
        line(x, y, x + 40, y + 40);
      } else {
        // Draw a line from NE to SW
        line(x + 40, y, x, y + 40);
      }
    }
  }
}

function keyPressed(){
  seed += 1;
}
