// A Processing implementation of the legendary BASIC program
// 10 PRINT CHR$(205.5+RND(1)); : GOTO 10
// see http://nickm.com/trope_tank/10_PRINT_121114.pdf

// A simplified visualization that shows the relationship 
// between random numbers and the choice of slash versus
// backslash.  Slide the mouse left and right over the 
// sketch window to change the amount of bias, affecting
// the choice of slash or backslash in each cell.

// W20.  Modified for JavaScript p5 by Kevin Harrigan

let current_seed = 0;

function setup(){
  createCanvas(400, 400);
  strokeCap(ROUND);
  strokeWeight(70);
  stroke(0);
  noFill();
  textSize(24);
}

function draw(){
  randomSeed(current_seed);
  let t = map(mouseX, 0, width, 0, 1);
  background(255);
  noStroke();
  for (let y = 0; y < height; y += 200) {
    for (let x = 0; x < width; x += 200) {
      if (x != y) {
        fill(200);
      } else {
        fill(255);
      }
      rect(x, y, x + 200, y + 200);
    }
  }

  for (let y = 0; y < height; y += 200) {
    for (let x = 0; x < width; x += 200) {
      stroke(0);
      noFill();
      let r = random(1);

      if ( r <= t ) {
        line(x, y, x + 200, y + 200);
      } else {
        line(x + 200, y, x, y + 200);
      }

      fill( 255, 0, 0 );
      noStroke();
      // Show the random number chosen for 
      // each cell -- display it inside the
      // cell.
      text( nf(r, 1, 2), x + 10, y + 20 );
    }
  }
  text( "BIAS: " + nf(t, 1, 2), width/2-50, height-5 );
}

function keyPressed(){
  current_seed = millis();
  print( "New seed is " + current_seed );
}
